WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
winstd::WlanFreeMemory_delete< _Ty[]> Struct Template Reference
WLAN API

Deleter for unique_ptr to array of unknown size using WlanFreeMemory. More...

`#include <WinStd/WLAN.h>`

## Public Types
typedef WlanFreeMemory_delete< _Ty > | _Myt
| This type.

## Public Member Functions
| WlanFreeMemory_delete ()
| Default construct.
void | operator() (_Ty *_Ptr) const
| Delete a pointer.
template<class _Other >
void | operator() (_Other *) const
| Delete a pointer of another type.

## Detailed Description

template<class _Ty>
struct winstd::WlanFreeMemory_delete< _Ty[]>

Deleter for unique_ptr to array of unknown size using WlanFreeMemory.

The documentation for this struct was generated from the following file:

- include/WinStd/WLAN.h